---
title: mask-border-mode
slug: Web/CSS/mask-border-mode
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsContent
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{cssref}}</div>

<p>The <strong><code>mask-border-mode</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies the blending mode used in a <a href="/en-US/docs/Web/CSS/mask-border">mask border</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
mask-border-mode: luminance;
mask-border-mode: alpha;

/* Global values */
mask-border-mode: inherit;
mask-border-mode: initial;
mask-border-mode: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>luminance</code></dt>
 <dd>The luminance values of the mask border image are used as the mask values.</dd>
 <dt><code>alpha</code></dt>
 <dd>The alpha values of the mask border image are used as the mask values.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't yet seem to have support anywhere. When browsers support it, it will specify the type of blending mode used for the mask border — luminance or alpha:</p>

<pre class="brush: css notranslate">mask-border-mode: luminance;
mask-border-mode: alpha;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-mode", "mask-border-mode")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-outset")}}</li>
  <li>{{cssxref("mask-border-repeat")}}</li>
  <li>{{cssxref("mask-border-source")}}</li>
  <li>{{cssxref("mask-border-width")}}</li>
</ul>
